# Zoom Meeting API - April 17, 2023 _Published April 17, 2023_ ### Added - New **Meeting** API: - `GET /v2/past_meetings/{meetingId}/qa` - `POST /v2/meetings/{meetingId}/sip_dialing` - New **Report** API: - `GET /v2/report/meetings/{meetingId}/qa` - New **Zoom Rooms** Webhook event: - `zoomroom.thirdparty_meeting_attempted` - New **Zoom Rooms Tag** API: - `POST /v2/rooms/tags` - `GET /v2/rooms/tags` - `DELETE /v2/rooms/tags/{tagId}` - `PUT /v2/rooms/{roomId}/tags` - `DELETE /v2/rooms/{roomId}/tags` ### Changed - New `user_ids` request field in the following **Chat** APIs: - `DELETE /v2/chat/users/{userId}/channels/{channelId}/admins` - `DELETE /v2/chat/channels/{channelId}/members` - Updated `channel_settings` request and response field in the following **Chat** APIs: - `GET /v2/chat/channels` - `GET /v2/chat/channels/{channelId}` - `GET /v2/chat/users/{userId}/channels` - `GET /v2/chat/users/{userId}/channels/{channelId}` - `POST /v2/chat/users/{userId}/channels` - `PATCH /v2/chat/channels/{channelId}` - `PATCH /v2/chat/users/{userId}/channels/{channelId}` - New `user_status` request field `display_name` `user_status` response fields and support search `contact_type = 8` for zoom room user in the following **Chat** APIs: - `GET /v2/contacts` - Support validating channels name limited the same Account in the following **Chat** APIs: - `POST /v2/chat/users/{userId}/channels` - `PATCH /v2/chat/users/{userId}/channels/{channelId}` - `PATCH /v2/chat/channels/{channelId}` - New `query_date_type` request field in the **List meetings** API: - `GET /v2/metrics/meetings` - New `participant_user_id` request field in the **Report** API: - `GET /v2/report/webinars/{webinarId}/participants` - `GET /v2/report/meetings/{meetingId}/participants` - New `search_and_send_animated_gif_images` field in the following **Settings** APIs and webhook events: - `GET /v2/accounts/{accountId}/settings` - `PATCH /v2/accounts/{accountId}/settings` - `GET /v2/accounts/{accountId}/lock_settings` - `PATCH /v2/accounts/{accountId}/lock_settings` - `GET /v2/groups/{groupId}/settings` - `PATCH /v2/groups/{groupId}/settings` - `GET /v2/groups/{groupId}/lock_settings` - `PATCH /v2/groups/{groupId}/lock_settings` - `GET /v2/users/{userId}/settings` - `PATCH /v2/users/{userId}/settings` - `account.settings_updated` - `account.lock_settings_updated` - `group.settings_updated` - `group.lock_settings_updated` - `user.settings_updated` - Support `room_id` and `id` in response of API `List Zoom Rooms` can be used as the value of `RoomId` in PATH in the following **Zoom Room** APIs: - `GET /v2/rooms/{roomId}/device_profiles/devices` - `GET /v2/accounts/{accountId}/rooms/{roomId}/device_profiles/devices` - `POST /v2/rooms/{roomId}/device_profiles` - `POST /v2/accounts/{accountId}/rooms/{roomId}/device_profiles` - `GET /v2/rooms/{roomId}/sensor_data` - `PATCH /v2/rooms/{roomId}/device_profiles/{deviceProfileId}` - `PATCH /v2/accounts/{accountId}/rooms/{roomId}/device_profiles/{deviceProfileId}` - `GET /v2/rooms/{roomId}/device_profiles/{deviceProfileId}` - `GET /v2/accounts/{accountId}/rooms/{roomId}/device_profiles/{deviceProfileId}` - `DELETE /v2/rooms/{roomId}/device_profiles/{deviceProfileId}` - `DELETE /v2/accounts/{accountId}/rooms/{roomId}/device_profiles/{deviceProfileId}` - `GET /v2/rooms/{roomId}/device_profiles` - `GET /v2/accounts/{accountId}/rooms/{roomId}/device_profiles` - New `zoomroom.thirdparty_meeting_join` value for the `method` field and new `join_type`,`meeting_source_type`,`join_url`,`sip_address` and `third_party_meeting_id` fields in the `params` field in the **Zoom Rooms** API: - `PATCH /v2/rooms/{id}/events` ### Fixed - Fix the bug that any user with `User_Edit` permission can change admins host key in the **Update a user** API: - `PATCH /v2/users/{userId}` - Fix the bug that api not returning all data in the following **Chat** API: - `GET /v2/chat/users/{userId}/sessions` - Fix the bug that the exception no file when uploading a virtual background file in the following **Settings** APIs: - `POST /v2/accounts/{id}/settings/virtual_backgrounds` - `POST /v2/groups/{id}/settings/virtual_backgrounds` - `POST /v2/accounts/{accountId}/groups/{id}/settings/virtual_backgrounds` - `POST /v2/users/{id}/settings/virtual_backgrounds` - `POST /v2/accounts/{accountId}/users/{id}/settings/virtual_backgrounds` - Fix the bug that PastJoined report API return Cannot parse null string error in the following **Report** API: - `GET /v2/report/users/{userId}/meetings` - Fix the bug that Zoom Apps is unable to use the following **Meetings** API: - `GET /v2/meetings/{meetingId}/registrants` - `GET /v2/past_meetings/{meetingId}/registrants` - `GET /v2/past_meetings/{meetingId}/polls`